import { SchemaType } from "./SchemaType";
import { SchemaPropertyType } from "./SchemaPropertyType";
export declare class SchemaProperty {
    private _original;
    private _name;
    private _types;
    private _description?;
    private _required;
    private _shorthands;
    private _default;
    private _examples;
    private _override;
    constructor(name: string, sourceObj: any);
    get name(): string;
    get original(): any;
    get types(): SchemaPropertyType[];
    get description(): string;
    get required(): boolean;
    get shorthands(): SchemaProperty[];
    get default(): any;
    get examples(): any[];
    get override(): boolean;
    resolve(types: Map<string, SchemaType>): void;
    getAllTypes(): any[];
}
